MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
Queue::Item Struct Reference

One element of the queue: basically a song plus some queue specific information attached. More...

`#include <Queue.hxx>`

Collaboration diagram for Queue::Item:
[legend]

## Data Fields
DetachedSong * | song
unsigned | id
| the unique id of this item in the queue More...
uint32_t | version
| when was this item last changed? More...
uint8_t | priority
| The priority of this item, between 0 and 255. More...

## Detailed Description

One element of the queue: basically a song plus some queue specific information attached.

Definition at line 55 of file Queue.hxx.

## Field Documentation

unsigned Queue::Item::id

the unique id of this item in the queue

Definition at line 59 of file Queue.hxx.

uint8_t Queue::Item::priority

The priority of this item, between 0 and 255.

High priority value means that this song gets played first in "random" mode.

Definition at line 69 of file Queue.hxx.

DetachedSong* Queue::Item::song

Definition at line 56 of file Queue.hxx.

uint32_t Queue::Item::version

when was this item last changed?

Definition at line 62 of file Queue.hxx.

The documentation for this struct was generated from the following file:

- queue/Queue.hxx